# 
# Synthesis run script generated by Vivado
# 

set TIME_start [clock seconds] 
namespace eval ::optrace {
  variable script "/home/ciprian/Documents/Github/Nexys-A7/hw/proj/hw.runs/synth_1/Nexys4DdrUserDemo.tcl"
  variable category "vivado_synth"
}

# Try to connect to running dispatch if we haven't done so already.
# This code assumes that the Tcl interpreter is not using threads,
# since the ::dispatch::connected variable isn't mutex protected.
if {![info exists ::dispatch::connected]} {
  namespace eval ::dispatch {
    variable connected false
    if {[llength [array get env XILINX_CD_CONNECT_ID]] > 0} {
      set result "true"
      if {[catch {
        if {[lsearch -exact [package names] DispatchTcl] < 0} {
          set result [load librdi_cd_clienttcl[info sharedlibextension]] 
        }
        if {$result eq "false"} {
          puts "WARNING: Could not load dispatch client library"
        }
        set connect_id [ ::dispatch::init_client -mode EXISTING_SERVER ]
        if { $connect_id eq "" } {
          puts "WARNING: Could not initialize dispatch client"
        } else {
          puts "INFO: Dispatch client connection id - $connect_id"
          set connected true
        }
      } catch_res]} {
        puts "WARNING: failed to connect to dispatch server - $catch_res"
      }
    }
  }
}
if {$::dispatch::connected} {
  # Remove the dummy proc if it exists.
  if { [expr {[llength [info procs ::OPTRACE]] > 0}] } {
    rename ::OPTRACE ""
  }
  proc ::OPTRACE { task action {tags {} } } {
    ::vitis_log::op_trace "$task" $action -tags $tags -script $::optrace::script -category $::optrace::category
  }
  # dispatch is generic. We specifically want to attach logging.
  ::vitis_log::connect_client
} else {
  # Add dummy proc if it doesn't exist.
  if { [expr {[llength [info procs ::OPTRACE]] == 0}] } {
    proc ::OPTRACE {{arg1 \"\" } {arg2 \"\"} {arg3 \"\" } {arg4 \"\"} {arg5 \"\" } {arg6 \"\"}} {
        # Do nothing
    }
  }
}

proc create_report { reportName command } {
  set status "."
  append status $reportName ".fail"
  if { [file exists $status] } {
    eval file delete [glob $status]
  }
  send_msg_id runtcl-4 info "Executing : $command"
  set retval [eval catch { $command } msg]
  if { $retval != 0 } {
    set fp [open $status w]
    close $fp
    send_msg_id runtcl-5 warning "$msg"
  }
}
OPTRACE "synth_1" START { ROLLUP_AUTO }
set_param chipscope.maxJobs 3
OPTRACE "Creating in-memory project" START { }
create_project -in_memory -part xc7a100tcsg324-1

set_param project.singleFileAddWarning.threshold 0
set_param project.compositeFile.enableAutoGeneration 0
set_param synth.vivado.isSynthRun true
set_msg_config -source 4 -id {IP_Flow 19-2162} -severity warning -new_severity info
set_property webtalk.parent_dir /home/ciprian/Documents/Github/Nexys-A7/hw/proj/hw.cache/wt [current_project]
set_property parent.project_path /home/ciprian/Documents/Github/Nexys-A7/hw/proj/hw.xpr [current_project]
set_property XPM_LIBRARIES {XPM_CDC XPM_MEMORY} [current_project]
set_property default_lib xil_defaultlib [current_project]
set_property target_language VHDL [current_project]
set_property board_part digilentinc.com:nexys-a7-100t:part0:1.0 [current_project]
set_property ip_repo_paths /home/ciprian/Documents/Github/Nexys-A7/hw/repo [current_project]
update_ip_catalog
set_property ip_output_repo /home/ciprian/Documents/Github/Nexys-A7/hw/proj/cache [current_project]
set_property ip_cache_permissions {read write} [current_project]
OPTRACE "Creating in-memory project" END { }
OPTRACE "Adding files" START { }
add_files /home/ciprian/Documents/Github/Nexys-A7/hw/src/other/Nexys4_all.coe
read_vhdl -library xil_defaultlib {
  /home/ciprian/Documents/Github/Nexys-A7/hw/src/hdl/ADXL362Ctrl.vhd
  /home/ciprian/Documents/Github/Nexys-A7/hw/src/hdl/AccelArithmetics.vhd
  /home/ciprian/Documents/Github/Nexys-A7/hw/src/hdl/AccelDisplay.vhd
  /home/ciprian/Documents/Github/Nexys-A7/hw/src/hdl/AccelerometerCtl.vhd
  /home/ciprian/Documents/Github/Nexys-A7/hw/src/hdl/AudioDemo.vhd
  /home/ciprian/Documents/Github/Nexys-A7/hw/src/hdl/Dbncr.vhd
  /home/ciprian/Documents/Github/Nexys-A7/hw/src/hdl/FPGAMonitor.vhd
  /home/ciprian/Documents/Github/Nexys-A7/hw/src/hdl/LedBar.vhd
  /home/ciprian/Documents/Github/Nexys-A7/hw/src/hdl/LocalRst.vhd
  /home/ciprian/Documents/Github/Nexys-A7/hw/src/hdl/LogoDisplay.vhd
  /home/ciprian/Documents/Github/Nexys-A7/hw/src/hdl/SyncAsync.vhd
  /home/ciprian/Documents/Github/Nexys-A7/hw/src/hdl/MicDisplay.vhd
  /home/ciprian/Documents/Github/Nexys-A7/hw/src/hdl/MouseCtl.vhd
  /home/ciprian/Documents/Github/Nexys-A7/hw/src/hdl/MouseDisplay.vhd
  /home/ciprian/Documents/Github/Nexys-A7/hw/src/hdl/OverlayCtl.vhd
  /home/ciprian/Documents/Github/Nexys-A7/hw/src/hdl/PdmDes.vhd
  /home/ciprian/Documents/Github/Nexys-A7/hw/src/hdl/PdmSer.vhd
  /home/ciprian/Documents/Github/Nexys-A7/hw/src/hdl/Ps2Interface.vhd
  /home/ciprian/Documents/Github/Nexys-A7/hw/src/hdl/Pwm.vhd
  /home/ciprian/Documents/Github/Nexys-A7/hw/src/hdl/Ram2Ddr.vhd
  /home/ciprian/Documents/Github/Nexys-A7/hw/src/hdl/RamCntrl.vhd
  /home/ciprian/Documents/Github/Nexys-A7/hw/src/hdl/RgbLed.vhd
  /home/ciprian/Documents/Github/Nexys-A7/hw/src/hdl/RgbLedDisplay.vhd
  /home/ciprian/Documents/Github/Nexys-A7/hw/src/hdl/SPI_If.vhd
  /home/ciprian/Documents/Github/Nexys-A7/hw/src/hdl/TWICtl.vhd
  /home/ciprian/Documents/Github/Nexys-A7/hw/src/hdl/TempDisplay.vhd
  /home/ciprian/Documents/Github/Nexys-A7/hw/src/hdl/TempSensorCtl.vhd
  /home/ciprian/Documents/Github/Nexys-A7/hw/src/hdl/Vga.vhd
  /home/ciprian/Documents/Github/Nexys-A7/hw/src/hdl/sSegDemo.vhd
  /home/ciprian/Documents/Github/Nexys-A7/hw/src/hdl/sSegDisplay.vhd
  /home/ciprian/Documents/Github/Nexys-A7/hw/src/hdl/top.vhd
}
read_ip -quiet /home/ciprian/Documents/Github/Nexys-A7/hw/src/ip/BRAM_1/BRAM_1.xci
set_property used_in_implementation false [get_files -all /home/ciprian/Documents/Github/Nexys-A7/hw/src/ip/BRAM_1/BRAM_1_ooc.xdc]

read_ip -quiet /home/ciprian/Documents/Github/Nexys-A7/hw/src/ip/Square_Root/Square_Root.xci

read_ip -quiet /home/ciprian/Documents/Github/Nexys-A7/hw/src/ip/ddr/ddr.xci
set_property used_in_implementation false [get_files -all /home/ciprian/Documents/Github/Nexys-A7/hw/src/ip/ddr/ddr/user_design/constraints/ddr_ooc.xdc]
set_property used_in_implementation false [get_files -all /home/ciprian/Documents/Github/Nexys-A7/hw/src/ip/ddr/ddr/user_design/constraints/ddr.xdc]

read_ip -quiet /home/ciprian/Documents/Github/Nexys-A7/hw/src/ip/ClkGen/ClkGen.xci
set_property used_in_implementation false [get_files -all /home/ciprian/Documents/Github/Nexys-A7/hw/src/ip/ClkGen/ClkGen_board.xdc]
set_property used_in_implementation false [get_files -all /home/ciprian/Documents/Github/Nexys-A7/hw/src/ip/ClkGen/ClkGen.xdc]
set_property used_in_implementation false [get_files -all /home/ciprian/Documents/Github/Nexys-A7/hw/src/ip/ClkGen/ClkGen_ooc.xdc]

OPTRACE "Adding files" END { }
# Mark all dcp files as not used in implementation to prevent them from being
# stitched into the results of this synthesis run. Any black boxes in the
# design are intentionally left as such for best results. Dcp files will be
# stitched into the design at a later time, either when this synthesis run is
# opened, or when it is stitched into a dependent implementation run.
foreach dcp [get_files -quiet -all -filter file_type=="Design\ Checkpoint"] {
  set_property used_in_implementation false $dcp
}
read_xdc /home/ciprian/Documents/Github/Nexys-A7/hw/src/constraints/Nexys-A7-100T-Master.xdc
set_property used_in_implementation false [get_files /home/ciprian/Documents/Github/Nexys-A7/hw/src/constraints/Nexys-A7-100T-Master.xdc]

read_xdc dont_touch.xdc
set_property used_in_implementation false [get_files dont_touch.xdc]
set_param ips.enableIPCacheLiteLoad 1
close [open __synthesis_is_running__ w]

OPTRACE "synth_design" START { }
synth_design -top Nexys4DdrUserDemo -part xc7a100tcsg324-1 -flatten_hierarchy none -directive RuntimeOptimized -fsm_extraction off
OPTRACE "synth_design" END { }


OPTRACE "write_checkpoint" START { CHECKPOINT }
# disable binary constraint mode for synth run checkpoints
set_param constraints.enableBinaryConstraints false
write_checkpoint -force -noxdef Nexys4DdrUserDemo.dcp
OPTRACE "write_checkpoint" END { }
OPTRACE "synth reports" START { REPORT }
create_report "synth_1_synth_report_utilization_0" "report_utilization -file Nexys4DdrUserDemo_utilization_synth.rpt -pb Nexys4DdrUserDemo_utilization_synth.pb"
OPTRACE "synth reports" END { }
file delete __synthesis_is_running__
close [open __synthesis_is_complete__ w]
OPTRACE "synth_1" END { }
